mkimage: fix openssl 1.1.x compat fix with libressl
authorFelix Fietkau <nbd@nbd.name>
Wed, 30 Nov 2016 19:24:31 +0000 (20:24 +0100)
committerFelix Fietkau <nbd@nbd.name>
Wed, 30 Nov 2016 19:24:33 +0000 (20:24 +0100)
libressl sets OPENSSL_VERSION_NUMBER to 0x20000000L, which breaks API
checks based on it.

Signed-off-by: Felix Fietkau <nbd@nbd.name>
tools/mkimage/patches/210-openssl-1.1.x-compat.patch

index fa7c99f..b1bc088 100644 (file)
@@ -11,7 +11,7 @@
  #define HAVE_ERR_REMOVE_THREAD_STATE
  #endif
  
-+#if OPENSSL_VERSION_NUMBER < 0x10100005L
++#if (OPENSSL_VERSION_NUMBER < 0x10100005L) || defined(LIBRESSL_VERSION_NUMBER)
 +static void RSA_get0_key(const RSA *r,
 +                         const BIGNUM **n, const BIGNUM **e, const BIGNUM **d)
 +{